Bug 1956854 - Update to PipeWire 0.3.32
Summary: Update to PipeWire 0.3.32
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 9
Classification: Red Hat
Component: pipewire
Version: CentOS Stream
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: beta
: ---
Assignee: Wim Taymans
QA Contact: Jiri Koten
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-05-04 14:34 UTC by Wim Taymans
Modified: 2021-12-07 21:46 UTC (History)
7 users (show)

Fixed In Version: pipewire-0.3.32-1.el9
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-12-07 21:44:43 UTC
Type: Bug
Target Upstream Version: 0.3.32


Attachments (Terms of Use)

Description Wim Taymans 2021-05-04 14:34:20 UTC
A request to update to version 0.3.26, the version landing in Fedora 34 to resolve a number of issues around Bluetooth audio.

Additionally, this release allows supporting JACK clients without a build dependency on JACK itself and we can serve fully as a replacement for JACK at build-time too.


Relates: rhbz#1945951

Comment 5 Wim Taymans 2021-07-19 13:59:11 UTC
0.3.26 is in RHEL9 now.

Comment 6 Wim Taymans 2021-07-19 14:04:40 UTC
Request to update to 0.3.31, which has proven to be quite stable and more recent.

Comment 7 Neal Gompa 2021-07-19 14:23:26 UTC
I'm working on an MR for this. :)

Comment 8 Neal Gompa 2021-07-21 13:05:31 UTC
MR proposed (for 0.3.32, since it released today): https://gitlab.com/redhat/centos-stream/rpms/pipewire/-/merge_requests/3

Comment 9 Neal Gompa 2021-07-23 10:11:42 UTC
Required preset update MR: https://gitlab.com/redhat/centos-stream/rpms/centos-release/-/merge_requests/5

Comment 12 Martin Krajnak 2021-08-05 12:38:37 UTC
pipewire-debugsource-0.3.32-1.el9.x86_64
pipewire-debuginfo-0.3.32-1.el9.x86_64
pipewire-libs-0.3.32-1.el9.x86_64
pipewire-0.3.32-1.el9.x86_64
pipewire-media-session-0.3.32-1.el9.x86_64
pipewire-jack-audio-connection-kit-0.3.32-1.el9.x86_64
pipewire-jack-audio-connection-kit-devel-0.3.32-1.el9.x86_64
pipewire-alsa-0.3.32-1.el9.x86_64
pipewire-gstreamer-0.3.32-1.el9.x86_64
pipewire-pulseaudio-0.3.32-1.el9.x86_64
pipewire-utils-0.3.32-1.el9.x86_64
pipewire-devel-0.3.32-1.el9.x86_64
pipewire-alsa-debuginfo-0.3.32-1.el9.x86_64
pipewire-gstreamer-debuginfo-0.3.32-1.el9.x86_64
pipewire-jack-audio-connection-kit-debuginfo-0.3.32-1.el9.x86_64
pipewire-libs-debuginfo-0.3.32-1.el9.x86_64
pipewire-media-session-debuginfo-0.3.32-1.el9.x86_64
pipewire-pulseaudio-debuginfo-0.3.32-1.el9.x86_64
pipewire-utils-debuginfo-0.3.32-1.el9.x86_64
pipewire-doc-0.3.32-1.el9.x86_64

Tested with @pekopec on 2 RHEL9 installations on bare metal, there were some issues with audio devices that we were able to resolve thanks to Wim, 
it should work from now on but in case anyone  hits the issue with no audio devices, just check that pipewire-media-session is enabled and running:
$ systemctl --user status pipewire-media-session.service
$ systemctl --user enable --now pipewire-media-session.service


Note You need to log in before you can comment on or make changes to this bug.